Aller au contenu
scango.ch
Français
Esc
naviguerouvrir⌘Japerçu

Créer un magasin

Créer un point de vente. Nécessite une clé Write. Dans une organisation, name est souvent la marque ; utilisez city (ou l’adresse) pour distinguer les emplacements. Les identifiants du prestataire de paiement (Zahls) se configurent dans le tableau de bord, pas via cette API.

POST/stores
Autorisation
AutorisationJeton Bearer (API key) · headerobligatoire
Clé API de l’organisation.
Corps de la requête
obligatoireapplication/json
namestringobligatoire
addressstring
zipCodestring
citystring
Human-readable store label within the organization
vatNumberstring
paymentCashboolean
paymentPaytecboolean
paymentZahlsboolean
paymentZahlsOfflineboolean
paymentCashOfflineboolean
showSupplierboolean
hideTextStartboolean
generalMarginnumber
customMessagestring
backgroundImageCartstring | object
Afficher les propriétés
Un parmi:
string
string
object
srcstring
backgroundImagestring | object
Afficher les propriétés
Un parmi:
string
string
object
srcstring
backgroundColorstring
backgroundFontColorstring
playSoundboolean
standardSoundstring
adminMailstring
showInfoButtonboolean
deleteCountdownnumber
logoUrlstring
languageMultiboolean
languageMainstring
Autorisé:deenfrit
languageSelectorstring[]
translationsobject
Réponses
200Magasin créé
successbooleanobligatoire
idstringobligatoire
400Requête invalide
statusCodeintegerobligatoire
Code de statut HTTP
messagestringobligatoire
Message d’erreur lisible
timestampstring<date-time>obligatoire
pathstringobligatoire
Chemin de la requête
403Non autorisé
statusCodeintegerobligatoire
Code de statut HTTP
messagestringobligatoire
Message d’erreur lisible
timestampstring<date-time>obligatoire
pathstringobligatoire
Chemin de la requête
Requête
curl -X POST "https://dashboard.scango.ch/api/v1/stores" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "address": "string",
  "zipCode": "string",
  "city": "string",
  "vatNumber": "string",
  "paymentCash": true,
  "paymentPaytec": true,
  "paymentZahls": true,
  "paymentZahlsOffline": true,
  "paymentCashOffline": true,
  "showSupplier": true,
  "hideTextStart": true,
  "generalMargin": 0,
  "customMessage": "string",
  "backgroundImageCart": "string",
  "backgroundImage": "string",
  "backgroundColor": "string",
  "backgroundFontColor": "string",
  "playSound": true,
  "standardSound": "string",
  "adminMail": "string",
  "showInfoButton": true,
  "deleteCountdown": 0,
  "logoUrl": "string",
  "languageMulti": true,
  "languageMain": "de",
  "languageSelector": [
    "de"
  ],
  "translations": {}
}'
Réponse
{
  "success": true,
  "id": "string"
}